Subject: Re: G++ w/ C++ Exceptions
From: [email-masked] (James Paul Morgan)

17 Apr 1997 00:28:13 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: Paul Prescod <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Wed, 16 Apr 1997, Paul Prescod wrote:

I was not using exceptions, but I (foolishly) had a variable named 
"short" that really freaked out the compiler.  (I wasn't thinking and did 
"String short;"  I got the same error, over and over and over in an 
infinite loop.  For some reason, certain errors cannot be handled by the 
compiler.  Just like it gives a whole stack dump for a segmentation fault.

Btw, the Ctrl-C does not work under the current bash.

> When I compile certain C++ objects with -fexceptions, G++ goes berserk,
> even though the objects have no exception handling stuff in them (no
> try, catch, etc.). Here's what happens:
> 
> (e:\gcc\i386\lib\gcc-lib\i386\cygnus-2.7.2-961023\cc1plus.exe 1007) In
> cygwin_except_handler
> (e:\gcc\i386\lib\gcc-lib\i386\cygnus-2.7.2-961023\cc1plus.exe 1007) In
> cygwin_except_handler
> (e:\gcc\i386\lib\gcc-lib\i386\cygnus-2.7.2-961023\cc1plus.exe 1007) In
> cygwin_except_handler
> ...
> 
> And it goes on forever, until I hit Ctrl-C which may or may not cause
> Windows 95 to crash or Windows NT to launch Dr. Watson. (I presume
> that's a known bug too).
> 

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".